OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TNaming

# TNaming_ListNodeOfListOfIndexedDataMapOfShapeListOfShape Class Reference

`#include <TNaming_ListNodeOfListOfIndexedDataMapOfShapeListOfShape.hxx>`

## Public Member Functions
| TNaming_ListNodeOfListOfIndexedDataMapOfShapeListOfShape (const TopTools_IndexedDataMapOfShapeListOfShape &I, const TCollection_MapNodePtr &n)
TopTools_IndexedDataMapOfShapeListOfShape & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
TopTools_IndexedDataMapOfShapeListOfShape | myValue

## Constructor & Destructor Documentation

TNaming_ListNodeOfListOfIndexedDataMapOfShapeListOfShape::TNaming_ListNodeOfListOfIndexedDataMapOfShapeListOfShape | ( | const TopTools_IndexedDataMapOfShapeListOfShape & | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const TNaming_ListNodeOfListOfIndexedDataMapOfShapeListOfShape::Handle | ( | Standard_Type |  | ) | const

TopTools_IndexedDataMapOfShapeListOfShape& TNaming_ListNodeOfListOfIndexedDataMapOfShapeListOfShape::Value | ( |  | ) | const

## Field Documentation

TopTools_IndexedDataMapOfShapeListOfShape TNaming_ListNodeOfListOfIndexedDataMapOfShapeListOfShape::myValue`[private]`

The documentation for this class was generated from the following file:

- TNaming_ListNodeOfListOfIndexedDataMapOfShapeListOfShape.hxx